DZ1.2/FERZid/Controllers/ZidoviController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using FERZid.Models;

namespace FERZid.Controllers
{
    public class ZidoviController : Controller
    {
        private readonly RPPP08Context _context;

        public ZidoviController(RPPP08Context context)
        {
            _context = context;    
        }

        // GET: Zidovi
        public async Task<IActionResult> Index()
        {
            //var rPPP08Context = _context.Segment.Include(s => s.IdzidaNavigation);
            

            var zidovi = await _context.Zid.Include(s => s.ProgramAktivan)
                .Include(s => s.Segment)
                .ToListAsync();

            //foreach (var el in zidovi)
            //{
            //    foreach(var progakt in el.ProgramAktivan)
            //    {
            //        Console.Write(progakt.IdProgramaNavigation.ImePrograma+" ");
            //    }
            //    Console.WriteLine();
            //}

                return View(zidovi);
        }

        // GET: Zidovi/Details/5
        public async Task<IActionResult> Details(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var zid = await _context.Zid
                .SingleOrDefaultAsync(m => m.Idzida == id);
            if (zid == null)
            {
                return NotFound();
            }

            return View(zid);
        }

        // GET: Zidovi/Create
        public IActionResult Create()
        {
            return View();
        }

        // POST: Zidovi/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create([Bind("Idzida,DatumPostavljanja,Lokacija,Opis,Visina,Sirina")] Zid zid)
        {
            if (ModelState.IsValid)
            {
                _context.Add(zid);
                await _context.SaveChangesAsync();
                return RedirectToAction("Index");
            }
            return View(zid);
        }

        // GET: Zidovi/Edit/5
        public async Task<IActionResult> Edit(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var zid = await _context.Zid.SingleOrDefaultAsync(m => m.Idzida == id);
            if (zid == null)
            {
                return NotFound();
            }
            return View(zid);
        }

        // POST: Zidovi/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Edit(int id, [Bind("Idzida,DatumPostavljanja,Lokacija,Opis,Visina,Sirina")] Zid zid)
        {
            if (id != zid.Idzida)
            {
                return NotFound();
            }

            if (ModelState.IsValid)
            {
                try
                {
                    _context.Update(zid);
                    await _context.SaveChangesAsync();
                }
                catch (DbUpdateConcurrencyException)
                {
                    if (!ZidExists(zid.Idzida))
                    {
                        return NotFound();
                    }
                    else
                    {
                        throw;
                    }
                }
                return RedirectToAction("Index");
            }
            return View(zid);
        }

        // GET: Zidovi/Delete/5
        public async Task<IActionResult> Delete(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var zid = await _context.Zid
                .SingleOrDefaultAsync(m => m.Idzida == id);
            if (zid == null)
            {
                return NotFound();
            }

            return View(zid);
        }

        // POST: Zidovi/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> DeleteConfirmed(int id)
        {
            var zid = await _context.Zid.SingleOrDefaultAsync(m => m.Idzida == id);
            _context.Zid.Remove(zid);
            await _context.SaveChangesAsync();
            return RedirectToAction("Index");
        }

        private bool ZidExists(int id)
        {
            return _context.Zid.Any(e => e.Idzida == id);
        }
    }
}

DZ1.2/FERZid/Views/Zidovi/Create.cshtml
@model FERZid.Models.Zid

@{
    ViewData["Title"] = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Novi zid</h2>

<form asp-action="Create">
    <div class="form-horizontal">
        <hr />
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
        <div class="form-group">
            <label asp-for="DatumPostavljanja" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="DatumPostavljanja" class="form-control" />
                <span asp-validation-for="DatumPostavljanja" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="Lokacija" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Lokacija" class="form-control" />
                <span asp-validation-for="Lokacija" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="Opis" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Opis" class="form-control" />
                <span asp-validation-for="Opis" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="Visina" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Visina" class="form-control" />
                <span asp-validation-for="Visina" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="Sirina" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Sirina" class="form-control" />
                <span asp-validation-for="Sirina" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
</form>

<div>
    <a asp-action="Index">Natrag na popis</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

DZ1.2/FERZid/Views/Zidovi/Delete.cshtml
@model FERZid.Models.Zid

@{
    ViewData["Title"] = "Delete";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Brisanje</h2>

<h3>Jeste li sigurni da zelite izbrisati?</h3>
<div>
    <hr />
    <dl class="dl-horizontal">
        <input type="hidden" asp-for="Idzida" />
        <dt>
            @Html.DisplayNameFor(model => model.DatumPostavljanja)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.DatumPostavljanja)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.Lokacija)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Lokacija)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.Opis)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Opis)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.Visina)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Visina)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.Sirina)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Sirina)
        </dd>
    </dl>
    
    <form asp-action="Delete">
        <div class="form-actions no-color">
            <input type="submit" value="Delete" class="btn btn-danger" /> |
            <a asp-action="Index">Natrag na popis</a>
        </div>
    </form>
</div>

DZ1.2/FERZid/Views/Zidovi/Details.cshtml
@model FERZid.Models.Zid

@{
    ViewData["Title"] = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Detalji</h2>

<div>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.DatumPostavljanja)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.DatumPostavljanja)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.Lokacija)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Lokacija)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.Opis)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Opis)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.Visina)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Visina)
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.Sirina)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Sirina)
        </dd>
    </dl>
</div>
<div>
    <a asp-action="Edit" asp-route-id="@Model.Idzida">Uredi</a> |
    <a asp-action="Index">Natrag na popis</a>
</div>

DZ1.2/FERZid/Views/Zidovi/Edit.cshtml
@model FERZid.Models.Zid

@{
    ViewData["Title"] = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Uredjivanje</h2>

<form asp-action="Edit">
    <div class="form-horizontal">
        <hr />
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
    <input type="hidden" asp-for="Idzida" />
        <div class="form-group">
            <label asp-for="DatumPostavljanja" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="DatumPostavljanja" class="form-control" />
                <span asp-validation-for="DatumPostavljanja" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="Lokacija" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Lokacija" class="form-control" />
                <span asp-validation-for="Lokacija" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="Opis" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Opis" class="form-control" />
                <span asp-validation-for="Opis" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="Visina" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Visina" class="form-control" />
                <span asp-validation-for="Visina" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="Sirina" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Sirina" class="form-control" />
                <span asp-validation-for="Sirina" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Spremi" class="btn btn-primary update" />
            </div>
        </div>
    </div>
</form>

<div>
    <a asp-action="Index">Natrag na popis</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

DZ1.2/FERZid/Views/Zidovi/Index.cshtml
@model IEnumerable<FERZid.Models.Zid>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="row" style="padding-top:20px;">
    <button class="btn btn-info" type="button" id="addressSearch" onclick="location.href='@Url.Action("Create", "Zidovi")'">
        <span class="glyphicon glyphicon-plus"></span> Novi zid
    </button>

    <table class="table table-striped" id="tableZidovi">
        <thead>
            <tr>
                <th></th>
                <th>
                    @Html.DisplayNameFor(model => model.DatumPostavljanja)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Lokacija)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Opis)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Visina)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Sirina)
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        <button class="btn btn-default btn-xs">
                            <span class="glyphicon glyphicon-chevron-down"></span>
                        </button>
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.DatumPostavljanja)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Lokacija)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Opis)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Visina)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Sirina)
                    </td>
                    <td>
                        <div class="btn-group">

                                <a class="btn btn-default" asp-action="Edit" asp-route-id="@item.Idzida">
                                    <span class="glyphicon glyphicon-pencil"></span>
                                </a>

                                <a class="btn btn-default" asp-action="Details" asp-route-id="@item.Idzida">
                                    <span class="glyphicon glyphicon-zoom-in"></span>
                                </a>

                                <a class="btn btn-default" asp-action="Delete" asp-route-id="@item.Idzida">
                                    <span class="glyphicon glyphicon-trash"></span>
                                </a>

                        </div>
                    </td>
        
                    

                </tr>
                <tr>
                    <td>
                        Program:
                        @foreach (var prog in @item.ProgramAktivan)
                        {
                            <span>@prog.Idprograma , </span>

                        }
                        
                    </td>
                    <td>
                        Segment:
                        @foreach (var seg in @item.Segment)
                        {
                            <span>@seg.Idsegmenta</span>

                        }
                    </td>
                   
                    @*<td>
                        <p>
                            Popis svih programa:
                            @foreach (var prog in @item.ProgramAktivan)
                            {
                                <span>@prog.Idprograma , </span>

                            }
                        </p>
                    </td>*@
                </tr>

            }
        </tbody>
    </table>
</div>
@section scripts {
<script>
        $(document).ready(function () {
            $('#tableZidovi').DataTable();
        });
</script>
}